import {Fragment} from "react";
import {Card, CascaderView, Dialog, Toast} from "antd-mobile";

import {useChildList} from "../../hooks/useChildList";
import {useNavigate} from "react-router-dom";

export default () => {
    const {task, options, changeTaskId,} = useChildList();
    const navigate = useNavigate();
    return <Fragment>
        <Card title={task?.name} style={{height: "30vh", borderRadius: "10px"}}
            onClick={async ()=>{
                if (task&&task.id) {
                    const result = await Dialog.confirm({ content: '确定要进入详情页吗？' })
                    if (result) {
                        navigate(`/detail/selectTask?id=${task.id}`)
                    }
                }
            }}
        >
            <p>{task?.description}</p>
            <p>预计开始时间:{task?.expectedStartTime}</p>
            <p>预计结束时间:{task?.expectedEndTime}</p>
        </Card>
        <CascaderView
            options={options}
            onChange={value => {
                // fetchOptionsForValue(value[value.length-1])
                console.log({value})
                changeTaskId(value)
            }}

        />
    </Fragment>
}